Skip to main content
GET
/
orgs
/
{orgId}
/
compliance
/
dsars
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "orgId": "<string>",
      "subjectEmail": "<string>",
      "subjectName": "<string>",
      "subjectId": "<string>",
      "description": "<string>",
      "requestedAt": "<string>",
      "verifiedAt": "<string>",
      "dueAt": "<string>",
      "completedAt": "<string>",
      "processedBy": "<string>",
      "response": {},
      "metadata": {},
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

orgId
string
required

Organization identifier

Query Parameters

type
enum<string>

Filter by DSAR type

Available options:
ACCESS,
DELETE,
RECTIFY,
PORTABILITY,
RESTRICT
status
enum<string>

Filter by status

Available options:
RECEIVED,
VERIFIED,
IN_PROGRESS,
COMPLETED,
DENIED,
OVERDUE
cursor
string

Pagination cursor

limit
integer
default:20

Maximum number of DSARs to return

Required range: 1 <= x <= 100

Response

200 - application/json

OK

Paginated list of data subject requests

items
object[]
required

List of data subject requests

nextCursor
string | null
required

Cursor for the next page, null if no more results